<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.AssetAdvancedConfig Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_asset_advanced_config.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_tri_lib_1_1_asset_advanced_config-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.AssetAdvancedConfig Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents an asset advanced config.  
 <a href="class_tri_lib_1_1_asset_advanced_config.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6cd5d9dcf81cca7103f565e42e22d6c2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a6cd5d9dcf81cca7103f565e42e22d6c2">AssetAdvancedConfig</a> ()</td></tr>
<tr class="memdesc:a6cd5d9dcf81cca7103f565e42e22d6c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a6cd5d9dcf81cca7103f565e42e22d6c2">More...</a><br /></td></tr>
<tr class="separator:a6cd5d9dcf81cca7103f565e42e22d6c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab874eb517b7d37ad884a9803d54be16e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#ab874eb517b7d37ad884a9803d54be16e">AssetAdvancedConfig</a> (string key)</td></tr>
<tr class="memdesc:ab874eb517b7d37ad884a9803d54be16e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class.  <a href="class_tri_lib_1_1_asset_advanced_config.html#ab874eb517b7d37ad884a9803d54be16e">More...</a><br /></td></tr>
<tr class="separator:ab874eb517b7d37ad884a9803d54be16e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e38b227649016805e3f0683f7085ff9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a7e38b227649016805e3f0683f7085ff9">AssetAdvancedConfig</a> (string key, int defaultValue)</td></tr>
<tr class="memdesc:a7e38b227649016805e3f0683f7085ff9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a7e38b227649016805e3f0683f7085ff9">More...</a><br /></td></tr>
<tr class="separator:a7e38b227649016805e3f0683f7085ff9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a931f3ddf63956721e4a374ddfcc84eab"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a931f3ddf63956721e4a374ddfcc84eab">AssetAdvancedConfig</a> (string key, float defaultValue)</td></tr>
<tr class="memdesc:a931f3ddf63956721e4a374ddfcc84eab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a931f3ddf63956721e4a374ddfcc84eab">More...</a><br /></td></tr>
<tr class="separator:a931f3ddf63956721e4a374ddfcc84eab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01022f27a9e529596a2db4a4f176299f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a01022f27a9e529596a2db4a4f176299f">AssetAdvancedConfig</a> (string key, bool defaultValue)</td></tr>
<tr class="memdesc:a01022f27a9e529596a2db4a4f176299f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a01022f27a9e529596a2db4a4f176299f">More...</a><br /></td></tr>
<tr class="separator:a01022f27a9e529596a2db4a4f176299f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c06b8b96e740c90204c2b47d0ae0c19"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a0c06b8b96e740c90204c2b47d0ae0c19">AssetAdvancedConfig</a> (string key, string defaultValue)</td></tr>
<tr class="memdesc:a0c06b8b96e740c90204c2b47d0ae0c19"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a0c06b8b96e740c90204c2b47d0ae0c19">More...</a><br /></td></tr>
<tr class="separator:a0c06b8b96e740c90204c2b47d0ae0c19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59c480d63eb09ea04abcc8d22f03b2a4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a59c480d63eb09ea04abcc8d22f03b2a4">AssetAdvancedConfig</a> (string key, <a class="el" href="namespace_tri_lib.html#add47fe723d8c221e1e75b06236ee3a42">AiComponent</a> defaultValue)</td></tr>
<tr class="memdesc:a59c480d63eb09ea04abcc8d22f03b2a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a59c480d63eb09ea04abcc8d22f03b2a4">More...</a><br /></td></tr>
<tr class="separator:a59c480d63eb09ea04abcc8d22f03b2a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1c5445a2d467a4875b04b3ac2530a49"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#ae1c5445a2d467a4875b04b3ac2530a49">AssetAdvancedConfig</a> (string key, <a class="el" href="namespace_tri_lib.html#a0ce6f5bad41d4d466d67b57a5dc117bd">AiPrimitiveType</a> defaultValue)</td></tr>
<tr class="memdesc:ae1c5445a2d467a4875b04b3ac2530a49"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class.  <a href="class_tri_lib_1_1_asset_advanced_config.html#ae1c5445a2d467a4875b04b3ac2530a49">More...</a><br /></td></tr>
<tr class="separator:ae1c5445a2d467a4875b04b3ac2530a49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82893476f9c4a8ee33c6827f18fe4b5f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a82893476f9c4a8ee33c6827f18fe4b5f">AssetAdvancedConfig</a> (string key, <a class="el" href="namespace_tri_lib.html#a96ddbcd7ede88274dd76842ad821924d">AiUVTransform</a> defaultValue)</td></tr>
<tr class="memdesc:a82893476f9c4a8ee33c6827f18fe4b5f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a82893476f9c4a8ee33c6827f18fe4b5f">More...</a><br /></td></tr>
<tr class="separator:a82893476f9c4a8ee33c6827f18fe4b5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d6db9afe11806656ddd10d13bb5a74d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a9d6db9afe11806656ddd10d13bb5a74d">AssetAdvancedConfig</a> (string key, UnityEngine.Vector3 translation, UnityEngine.Vector3 rotation, UnityEngine.Vector3 scale)</td></tr>
<tr class="memdesc:a9d6db9afe11806656ddd10d13bb5a74d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a9d6db9afe11806656ddd10d13bb5a74d">More...</a><br /></td></tr>
<tr class="separator:a9d6db9afe11806656ddd10d13bb5a74d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ac79710ec8c2fff2e167d002bb0e3f640"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#ac79710ec8c2fff2e167d002bb0e3f640">CreateConfig</a> (<a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a> className, int value)</td></tr>
<tr class="memdesc:ac79710ec8c2fff2e167d002bb0e3f640"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new integer advanced config.  <a href="class_tri_lib_1_1_asset_advanced_config.html#ac79710ec8c2fff2e167d002bb0e3f640">More...</a><br /></td></tr>
<tr class="separator:ac79710ec8c2fff2e167d002bb0e3f640"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae18528d6a77653fb62cc5bc2689c7b40"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#ae18528d6a77653fb62cc5bc2689c7b40">CreateConfig</a> (<a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a> className, float value)</td></tr>
<tr class="memdesc:ae18528d6a77653fb62cc5bc2689c7b40"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new float advanced config.  <a href="class_tri_lib_1_1_asset_advanced_config.html#ae18528d6a77653fb62cc5bc2689c7b40">More...</a><br /></td></tr>
<tr class="separator:ae18528d6a77653fb62cc5bc2689c7b40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ab7caa894f5496bb2e661075d5789b7"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a6ab7caa894f5496bb2e661075d5789b7">CreateConfig</a> (<a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a> className, bool value)</td></tr>
<tr class="memdesc:a6ab7caa894f5496bb2e661075d5789b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new bool advanced config.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a6ab7caa894f5496bb2e661075d5789b7">More...</a><br /></td></tr>
<tr class="separator:a6ab7caa894f5496bb2e661075d5789b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f91f95e164d6773b5559756840faa84"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a0f91f95e164d6773b5559756840faa84">CreateConfig</a> (<a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a> className, string value)</td></tr>
<tr class="memdesc:a0f91f95e164d6773b5559756840faa84"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new string advanced config.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a0f91f95e164d6773b5559756840faa84">More...</a><br /></td></tr>
<tr class="separator:a0f91f95e164d6773b5559756840faa84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbb609334b52bceb6273493503e25ac2"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#acbb609334b52bceb6273493503e25ac2">CreateConfig</a> (<a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a> className, <a class="el" href="namespace_tri_lib.html#add47fe723d8c221e1e75b06236ee3a42">AiComponent</a> value)</td></tr>
<tr class="memdesc:acbb609334b52bceb6273493503e25ac2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new <a class="el" href="namespace_tri_lib.html#add47fe723d8c221e1e75b06236ee3a42" title="Represents a component flags.">AiComponent</a> advanced config.  <a href="class_tri_lib_1_1_asset_advanced_config.html#acbb609334b52bceb6273493503e25ac2">More...</a><br /></td></tr>
<tr class="separator:acbb609334b52bceb6273493503e25ac2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aeda14abc2a618d346e383d313d22cc"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a8aeda14abc2a618d346e383d313d22cc">CreateConfig</a> (<a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a> className, <a class="el" href="namespace_tri_lib.html#a0ce6f5bad41d4d466d67b57a5dc117bd">AiPrimitiveType</a> value)</td></tr>
<tr class="memdesc:a8aeda14abc2a618d346e383d313d22cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new <a class="el" href="namespace_tri_lib.html#a0ce6f5bad41d4d466d67b57a5dc117bd" title="Represents a primitive type flags.">AiPrimitiveType</a> advanced config.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a8aeda14abc2a618d346e383d313d22cc">More...</a><br /></td></tr>
<tr class="separator:a8aeda14abc2a618d346e383d313d22cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa639b3df61e28faf21ab4cba23a58107"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#aa639b3df61e28faf21ab4cba23a58107">CreateConfig</a> (<a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a> className, <a class="el" href="namespace_tri_lib.html#a96ddbcd7ede88274dd76842ad821924d">AiUVTransform</a> value)</td></tr>
<tr class="memdesc:aa639b3df61e28faf21ab4cba23a58107"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new <a class="el" href="namespace_tri_lib.html#a96ddbcd7ede88274dd76842ad821924d" title="Represents an UV transform flags.">AiUVTransform</a> advanced config.  <a href="class_tri_lib_1_1_asset_advanced_config.html#aa639b3df61e28faf21ab4cba23a58107">More...</a><br /></td></tr>
<tr class="separator:aa639b3df61e28faf21ab4cba23a58107"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a191d69d7481ee1574f1632f5e93f1c5d"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a191d69d7481ee1574f1632f5e93f1c5d">CreateConfig</a> (<a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a> className, UnityEngine.Vector3 translation, UnityEngine.Vector3 rotation, UnityEngine.Vector3 scale)</td></tr>
<tr class="memdesc:a191d69d7481ee1574f1632f5e93f1c5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new matrix advanced config.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a191d69d7481ee1574f1632f5e93f1c5d">More...</a><br /></td></tr>
<tr class="separator:a191d69d7481ee1574f1632f5e93f1c5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a05113d5315fed6e4326dcc836a84b86f"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a05113d5315fed6e4326dcc836a84b86f">Key</a></td></tr>
<tr class="memdesc:a05113d5315fed6e4326dcc836a84b86f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config Key.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a05113d5315fed6e4326dcc836a84b86f">More...</a><br /></td></tr>
<tr class="separator:a05113d5315fed6e4326dcc836a84b86f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63202718c562270ef2d2a147601a60f9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a63202718c562270ef2d2a147601a60f9">IntValue</a></td></tr>
<tr class="memdesc:a63202718c562270ef2d2a147601a60f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config Integer value.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a63202718c562270ef2d2a147601a60f9">More...</a><br /></td></tr>
<tr class="separator:a63202718c562270ef2d2a147601a60f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e48e4ff2c633972de11d32bd10041aa"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a2e48e4ff2c633972de11d32bd10041aa">FloatValue</a></td></tr>
<tr class="memdesc:a2e48e4ff2c633972de11d32bd10041aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config Float value.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a2e48e4ff2c633972de11d32bd10041aa">More...</a><br /></td></tr>
<tr class="separator:a2e48e4ff2c633972de11d32bd10041aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a4cbe19f11f85e7d27c294be0fabba9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a0a4cbe19f11f85e7d27c294be0fabba9">BoolValue</a></td></tr>
<tr class="memdesc:a0a4cbe19f11f85e7d27c294be0fabba9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config Bool value.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a0a4cbe19f11f85e7d27c294be0fabba9">More...</a><br /></td></tr>
<tr class="separator:a0a4cbe19f11f85e7d27c294be0fabba9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee2f4037a73d84cd6b6232a55bb22281"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#aee2f4037a73d84cd6b6232a55bb22281">StringValue</a></td></tr>
<tr class="memdesc:aee2f4037a73d84cd6b6232a55bb22281"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config String value.  <a href="class_tri_lib_1_1_asset_advanced_config.html#aee2f4037a73d84cd6b6232a55bb22281">More...</a><br /></td></tr>
<tr class="separator:aee2f4037a73d84cd6b6232a55bb22281"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa44eafdd68ed91838c6babce3edc68ac"><td class="memItemLeft" align="right" valign="top">UnityEngine.Vector3&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#aa44eafdd68ed91838c6babce3edc68ac">TranslationValue</a></td></tr>
<tr class="memdesc:aa44eafdd68ed91838c6babce3edc68ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config Translation value.  <a href="class_tri_lib_1_1_asset_advanced_config.html#aa44eafdd68ed91838c6babce3edc68ac">More...</a><br /></td></tr>
<tr class="separator:aa44eafdd68ed91838c6babce3edc68ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04c1bf1b6c037a188886ce9d9713eb6e"><td class="memItemLeft" align="right" valign="top">UnityEngine.Vector3&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a04c1bf1b6c037a188886ce9d9713eb6e">RotationValue</a></td></tr>
<tr class="memdesc:a04c1bf1b6c037a188886ce9d9713eb6e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config Rotation value.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a04c1bf1b6c037a188886ce9d9713eb6e">More...</a><br /></td></tr>
<tr class="separator:a04c1bf1b6c037a188886ce9d9713eb6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22d112fd4998500b474d50f6527dded5"><td class="memItemLeft" align="right" valign="top">UnityEngine.Vector3&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a22d112fd4998500b474d50f6527dded5">ScaleValue</a></td></tr>
<tr class="memdesc:a22d112fd4998500b474d50f6527dded5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config Scale value.  <a href="class_tri_lib_1_1_asset_advanced_config.html#a22d112fd4998500b474d50f6527dded5">More...</a><br /></td></tr>
<tr class="separator:a22d112fd4998500b474d50f6527dded5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents an asset advanced config. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a6cd5d9dcf81cca7103f565e42e22d6c2" name="a6cd5d9dcf81cca7103f565e42e22d6c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6cd5d9dcf81cca7103f565e42e22d6c2">&#9670;&nbsp;</a></span>AssetAdvancedConfig() <span class="overload">[1/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TriLib.AssetAdvancedConfig.AssetAdvancedConfig </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class. </p>

</div>
</div>
<a id="ab874eb517b7d37ad884a9803d54be16e" name="ab874eb517b7d37ad884a9803d54be16e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab874eb517b7d37ad884a9803d54be16e">&#9670;&nbsp;</a></span>AssetAdvancedConfig() <span class="overload">[2/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TriLib.AssetAdvancedConfig.AssetAdvancedConfig </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>Config Key.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a7e38b227649016805e3f0683f7085ff9" name="a7e38b227649016805e3f0683f7085ff9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e38b227649016805e3f0683f7085ff9">&#9670;&nbsp;</a></span>AssetAdvancedConfig() <span class="overload">[3/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TriLib.AssetAdvancedConfig.AssetAdvancedConfig </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>defaultValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>Config Key.</td></tr>
    <tr><td class="paramname">defaultValue</td><td>Config default value.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a931f3ddf63956721e4a374ddfcc84eab" name="a931f3ddf63956721e4a374ddfcc84eab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a931f3ddf63956721e4a374ddfcc84eab">&#9670;&nbsp;</a></span>AssetAdvancedConfig() <span class="overload">[4/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TriLib.AssetAdvancedConfig.AssetAdvancedConfig </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>defaultValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>Config Key.</td></tr>
    <tr><td class="paramname">defaultValue</td><td>Config default value.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a01022f27a9e529596a2db4a4f176299f" name="a01022f27a9e529596a2db4a4f176299f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01022f27a9e529596a2db4a4f176299f">&#9670;&nbsp;</a></span>AssetAdvancedConfig() <span class="overload">[5/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TriLib.AssetAdvancedConfig.AssetAdvancedConfig </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>defaultValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>Config Key.</td></tr>
    <tr><td class="paramname">defaultValue</td><td>Config default value.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0c06b8b96e740c90204c2b47d0ae0c19" name="a0c06b8b96e740c90204c2b47d0ae0c19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c06b8b96e740c90204c2b47d0ae0c19">&#9670;&nbsp;</a></span>AssetAdvancedConfig() <span class="overload">[6/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TriLib.AssetAdvancedConfig.AssetAdvancedConfig </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>defaultValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>Config Key.</td></tr>
    <tr><td class="paramname">defaultValue</td><td>Config default value.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a59c480d63eb09ea04abcc8d22f03b2a4" name="a59c480d63eb09ea04abcc8d22f03b2a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59c480d63eb09ea04abcc8d22f03b2a4">&#9670;&nbsp;</a></span>AssetAdvancedConfig() <span class="overload">[7/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TriLib.AssetAdvancedConfig.AssetAdvancedConfig </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#add47fe723d8c221e1e75b06236ee3a42">AiComponent</a>&#160;</td>
          <td class="paramname"><em>defaultValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>Config Key.</td></tr>
    <tr><td class="paramname">defaultValue</td><td>Config default value.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae1c5445a2d467a4875b04b3ac2530a49" name="ae1c5445a2d467a4875b04b3ac2530a49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1c5445a2d467a4875b04b3ac2530a49">&#9670;&nbsp;</a></span>AssetAdvancedConfig() <span class="overload">[8/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TriLib.AssetAdvancedConfig.AssetAdvancedConfig </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#a0ce6f5bad41d4d466d67b57a5dc117bd">AiPrimitiveType</a>&#160;</td>
          <td class="paramname"><em>defaultValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>Config Key.</td></tr>
    <tr><td class="paramname">defaultValue</td><td>Config default value.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a82893476f9c4a8ee33c6827f18fe4b5f" name="a82893476f9c4a8ee33c6827f18fe4b5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82893476f9c4a8ee33c6827f18fe4b5f">&#9670;&nbsp;</a></span>AssetAdvancedConfig() <span class="overload">[9/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TriLib.AssetAdvancedConfig.AssetAdvancedConfig </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#a96ddbcd7ede88274dd76842ad821924d">AiUVTransform</a>&#160;</td>
          <td class="paramname"><em>defaultValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>Config Key.</td></tr>
    <tr><td class="paramname">defaultValue</td><td>Config default value.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a9d6db9afe11806656ddd10d13bb5a74d" name="a9d6db9afe11806656ddd10d13bb5a74d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d6db9afe11806656ddd10d13bb5a74d">&#9670;&nbsp;</a></span>AssetAdvancedConfig() <span class="overload">[10/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TriLib.AssetAdvancedConfig.AssetAdvancedConfig </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">UnityEngine.Vector3&#160;</td>
          <td class="paramname"><em>translation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">UnityEngine.Vector3&#160;</td>
          <td class="paramname"><em>rotation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">UnityEngine.Vector3&#160;</td>
          <td class="paramname"><em>scale</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html" title="Represents an asset advanced config.">TriLib.AssetAdvancedConfig</a> class. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>Config Key.</td></tr>
    <tr><td class="paramname">translation</td><td>Translation default value.</td></tr>
    <tr><td class="paramname">rotation</td><td>Rotation default value.</td></tr>
    <tr><td class="paramname">scale</td><td>Scale default value.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="acbb609334b52bceb6273493503e25ac2" name="acbb609334b52bceb6273493503e25ac2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbb609334b52bceb6273493503e25ac2">&#9670;&nbsp;</a></span>CreateConfig() <span class="overload">[1/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a> TriLib.AssetAdvancedConfig.CreateConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#add47fe723d8c221e1e75b06236ee3a42">AiComponent</a>&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates a new <a class="el" href="namespace_tri_lib.html#add47fe723d8c221e1e75b06236ee3a42" title="Represents a component flags.">AiComponent</a> advanced config. </p>
<dl class="section return"><dt>Returns</dt><dd>The config.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">className</td><td>Config class name.</td></tr>
    <tr><td class="paramname">value</td><td>Config value.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a8aeda14abc2a618d346e383d313d22cc" name="a8aeda14abc2a618d346e383d313d22cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8aeda14abc2a618d346e383d313d22cc">&#9670;&nbsp;</a></span>CreateConfig() <span class="overload">[2/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a> TriLib.AssetAdvancedConfig.CreateConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#a0ce6f5bad41d4d466d67b57a5dc117bd">AiPrimitiveType</a>&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates a new <a class="el" href="namespace_tri_lib.html#a0ce6f5bad41d4d466d67b57a5dc117bd" title="Represents a primitive type flags.">AiPrimitiveType</a> advanced config. </p>
<dl class="section return"><dt>Returns</dt><dd>The config.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">className</td><td>Config class name.</td></tr>
    <tr><td class="paramname">value</td><td>Config value.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa639b3df61e28faf21ab4cba23a58107" name="aa639b3df61e28faf21ab4cba23a58107"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa639b3df61e28faf21ab4cba23a58107">&#9670;&nbsp;</a></span>CreateConfig() <span class="overload">[3/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a> TriLib.AssetAdvancedConfig.CreateConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#a96ddbcd7ede88274dd76842ad821924d">AiUVTransform</a>&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates a new <a class="el" href="namespace_tri_lib.html#a96ddbcd7ede88274dd76842ad821924d" title="Represents an UV transform flags.">AiUVTransform</a> advanced config. </p>
<dl class="section return"><dt>Returns</dt><dd>The config.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">className</td><td>Config class name.</td></tr>
    <tr><td class="paramname">value</td><td>Config value.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6ab7caa894f5496bb2e661075d5789b7" name="a6ab7caa894f5496bb2e661075d5789b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ab7caa894f5496bb2e661075d5789b7">&#9670;&nbsp;</a></span>CreateConfig() <span class="overload">[4/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a> TriLib.AssetAdvancedConfig.CreateConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates a new bool advanced config. </p>
<dl class="section return"><dt>Returns</dt><dd>The config.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">className</td><td>Config class name.</td></tr>
    <tr><td class="paramname">value</td><td>Config value.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae18528d6a77653fb62cc5bc2689c7b40" name="ae18528d6a77653fb62cc5bc2689c7b40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae18528d6a77653fb62cc5bc2689c7b40">&#9670;&nbsp;</a></span>CreateConfig() <span class="overload">[5/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a> TriLib.AssetAdvancedConfig.CreateConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates a new float advanced config. </p>
<dl class="section return"><dt>Returns</dt><dd>The config.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">className</td><td>Config class name.</td></tr>
    <tr><td class="paramname">value</td><td>Config value.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ac79710ec8c2fff2e167d002bb0e3f640" name="ac79710ec8c2fff2e167d002bb0e3f640"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac79710ec8c2fff2e167d002bb0e3f640">&#9670;&nbsp;</a></span>CreateConfig() <span class="overload">[6/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a> TriLib.AssetAdvancedConfig.CreateConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates a new integer advanced config. </p>
<dl class="section return"><dt>Returns</dt><dd>The config.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">className</td><td>Config class name.</td></tr>
    <tr><td class="paramname">value</td><td>Config value.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0f91f95e164d6773b5559756840faa84" name="a0f91f95e164d6773b5559756840faa84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f91f95e164d6773b5559756840faa84">&#9670;&nbsp;</a></span>CreateConfig() <span class="overload">[7/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a> TriLib.AssetAdvancedConfig.CreateConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates a new string advanced config. </p>
<dl class="section return"><dt>Returns</dt><dd>The config.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">className</td><td>Config class name.</td></tr>
    <tr><td class="paramname">value</td><td>Config value.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a191d69d7481ee1574f1632f5e93f1c5d" name="a191d69d7481ee1574f1632f5e93f1c5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a191d69d7481ee1574f1632f5e93f1c5d">&#9670;&nbsp;</a></span>CreateConfig() <span class="overload">[8/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a> TriLib.AssetAdvancedConfig.CreateConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">UnityEngine.Vector3&#160;</td>
          <td class="paramname"><em>translation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">UnityEngine.Vector3&#160;</td>
          <td class="paramname"><em>rotation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">UnityEngine.Vector3&#160;</td>
          <td class="paramname"><em>scale</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates a new matrix advanced config. </p>
<dl class="section return"><dt>Returns</dt><dd>The config.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">className</td><td>Config class name.</td></tr>
    <tr><td class="paramname">translation</td><td>Translation value.</td></tr>
    <tr><td class="paramname">rotation</td><td>Rotation value.</td></tr>
    <tr><td class="paramname">scale</td><td>Scale value.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a0a4cbe19f11f85e7d27c294be0fabba9" name="a0a4cbe19f11f85e7d27c294be0fabba9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a4cbe19f11f85e7d27c294be0fabba9">&#9670;&nbsp;</a></span>BoolValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetAdvancedConfig.BoolValue</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Config Bool value. </p>

</div>
</div>
<a id="a2e48e4ff2c633972de11d32bd10041aa" name="a2e48e4ff2c633972de11d32bd10041aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e48e4ff2c633972de11d32bd10041aa">&#9670;&nbsp;</a></span>FloatValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float TriLib.AssetAdvancedConfig.FloatValue</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Config Float value. </p>

</div>
</div>
<a id="a63202718c562270ef2d2a147601a60f9" name="a63202718c562270ef2d2a147601a60f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63202718c562270ef2d2a147601a60f9">&#9670;&nbsp;</a></span>IntValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int TriLib.AssetAdvancedConfig.IntValue</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Config Integer value. </p>

</div>
</div>
<a id="a05113d5315fed6e4326dcc836a84b86f" name="a05113d5315fed6e4326dcc836a84b86f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05113d5315fed6e4326dcc836a84b86f">&#9670;&nbsp;</a></span>Key</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string TriLib.AssetAdvancedConfig.Key</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Config Key. </p>

</div>
</div>
<a id="a04c1bf1b6c037a188886ce9d9713eb6e" name="a04c1bf1b6c037a188886ce9d9713eb6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04c1bf1b6c037a188886ce9d9713eb6e">&#9670;&nbsp;</a></span>RotationValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">UnityEngine.Vector3 TriLib.AssetAdvancedConfig.RotationValue</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Config Rotation value. </p>

</div>
</div>
<a id="a22d112fd4998500b474d50f6527dded5" name="a22d112fd4998500b474d50f6527dded5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22d112fd4998500b474d50f6527dded5">&#9670;&nbsp;</a></span>ScaleValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">UnityEngine.Vector3 TriLib.AssetAdvancedConfig.ScaleValue</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Config Scale value. </p>

</div>
</div>
<a id="aee2f4037a73d84cd6b6232a55bb22281" name="aee2f4037a73d84cd6b6232a55bb22281"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee2f4037a73d84cd6b6232a55bb22281">&#9670;&nbsp;</a></span>StringValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string TriLib.AssetAdvancedConfig.StringValue</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Config String value. </p>

</div>
</div>
<a id="aa44eafdd68ed91838c6babce3edc68ac" name="aa44eafdd68ed91838c6babce3edc68ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa44eafdd68ed91838c6babce3edc68ac">&#9670;&nbsp;</a></span>TranslationValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">UnityEngine.Vector3 TriLib.AssetAdvancedConfig.TranslationValue</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Config Translation value. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/<a class="el" href="_asset_advanced_configs_8cs.html">AssetAdvancedConfigs.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
